#!/usr/bin/env python
#--*-- coding:UTF-8 --*--
import sys, os, string
ROT13 =string.maketrans('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ','nopqrstuvwxyzabcdefghijklmNOPQRSTUVWXYZABCDEFGHIJKLM')
archivo = open("dictionario")
archivo = archivo.readlines()
for root, dir, files in os.walk(str(sys.argv[1])):
	for file in files:
		if ".txt" in str(file):
			encpalabra = 0
			paspalabra = 0
			lineas = open(file).readlines()
			for linea in lineas:
				traductionlinea=linea.translate(ROT13)
				traductionpalabras=traductionlinea.split()
				for cadapalabra in traductionpalabras:
					if (cadapalabra+'\n') in archivo:
						encpalabra=encpalabra+1
					else:
						paspalabra = paspalabra+1
			if (encpalabra > paspalabra):
				print file+" puede contenter un cifrado ROT-13."

